Name: pcre
Version: 3.4
Release: 2.4
Summary: Perl-compatible regular expression library
URL: http://www.pcre.org/
Source: ftp://ftp.sourceforge.net/projects/pcre/%{name}-%{version}.tar.bz2
Patch1: pcre-3.4-CAN-2005-2491.patch
# CESA-2007-006, 3rd part, has been assigned CVE-2006-7228
Patch2: pcre-3.4-CESA-2007-006.3.patch
Patch3: pcre-3.4-CVE-2007-1660.patch
License: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: /sbin/ldconfig

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
%setup
%patch1 -p1 -b .CAN-2005-2491
%patch2 -p1 -b .CESA-2007-006.3.patch
%patch3 -p1 -b .CVE-2007-1660

%configure --includedir=%{_includedir}/%{name}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
mv $RPM_BUILD_ROOT%{_libdir}/libpcre.so* $RPM_BUILD_ROOT/lib
sed -e "s,/usr/lib,/lib,g" $RPM_BUILD_ROOT%{_libdir}/libpcre.la >$RPM_BUILD_ROOT/lib/libpcre.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libpcre.la
strip $RPM_BUILD_ROOT%{_bindir}/pcregrep

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/lib/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/pcregrep

%files devel
%defattr(-,root,root)
/lib/*.so
/lib/*.la
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_mandir}/man3/*
%{_bindir}/pcre-config

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 16 2007 Stepan Kasal <skasal@redhat.com> - 3.4-2.4
- Fix CVE-2007-1660, bug #382081

* Wed Nov 14 2007 Josh Bressers <bressers@redhat.com> 3.4-2.3
- Fix CESA-2007-006 issue 3, bug #382081
  pcre-3.4-CESA-2007-006.3.patch

* Tue Aug 30 2005 Than Ngo <than@redhat.com> 3.4-2.2
- strip binary

* Fri Aug 19 2005 Than Ngo <than@redhat.com> 3.4-2.1
- backport the patch to fix heap overflow, CAN-2005-2491, #166330
- add Prereq: /sbin/ldconfig

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.4-2
- Move libpcre to /lib, grep uses it these days (#41104)

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move this to a separate package, used to be in kdesupport, but it's
  generally useful...
